[SCM] Debian packaging of libnet-server-perl branch, master, updated. a29f5e444a4f3266f106cdb369360a3afc5eda97

gregor herrmann gregoa at debian.org
Tue Sep 20 20:10:59 UTC 2011


The following commit has been merged in the master branch:
commit 7726499787e19a3e76880393384d543f69af621d
Author: gregor herrmann <gregoa at debian.org>
Date:   Tue Sep 20 21:17:23 2011 +0200

    Drop ancient patch 02_spec.dpatch which causes a FTBFS.
    
    Closes: #642175
    Thanks: Allison Randal for the bug report and the thorough analysis.

diff --git a/debian/patches/00list b/debian/patches/00list
index 2e25814..77171c2 100644
--- a/debian/patches/00list
+++ b/debian/patches/00list
@@ -1,4 +1,3 @@
-02_spec
 03_rt-cpan-65891-reap-children
 04_fix-pod-error-in-http-manapage
 05_ipv6-support
diff --git a/debian/patches/02_spec.dpatch b/debian/patches/02_spec.dpatch
deleted file mode 100755
index a804dca..0000000
--- a/debian/patches/02_spec.dpatch
+++ /dev/null
@@ -1,145 +0,0 @@
-#! /bin/sh -e
-## 02_spec.dpatch by Carsten Wolff <carsten at wolffcarsten.de>
-## (original made by some of the former maintainers)
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Comments USER and ACCESS entries in rscsi file.
-
-if [ $# -ne 1 ]; then
-    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
-    exit 1
-fi
-case "$1" in
-    -patch) patch -f --no-backup-if-mismatch -p1 < $0;;
-    -unpatch) patch -f --no-backup-if-mismatch -R -p1 < $0;;
-    *)
-        echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
-        exit 1;;
-esac
-
-exit 0
-
- at DPATCH@
---- libnet-server-perl-0.89.orig/Net-Server.spec.PL
-+++ libnet-server-perl-0.89/Net-Server.spec.PL
-@@ -0,0 +1,120 @@
-+# Copyright (C) 2002 Rob Brown (bbb at cpan.org)
-+# Generic rpm SPEC file generator.
-+
-+use strict;
-+
-+my $p = $1 if $0 =~ m%([^/]*)$%;
-+my $output = shift or die "create what?";
-+
-+### Extract $VERSION from VERSION_FROM
-+my $name;
-+my $version;
-+$INC{"ExtUtils/MakeMaker.pm"} = 1;
-+sub WriteMakefile {
-+  my %props = @_;
-+  $name = $props{NAME} || die "Makefile.PL: Missing NAME";
-+  if ($version = $props{VERSION}) {
-+    # done
-+  } elsif (my $version_from = $props{VERSION_FROM}) {
-+    $@ = "";
-+    $version = eval qq{
-+      do "$version_from";
-+      \$$name\::VERSION || die "$version_from: Missing VERSION";
-+    };
-+    die $@ if $@;
-+    if (!defined $version) {
-+      die "$version_from: Missing VERSION";
-+    }
-+  } else {
-+    die "Makefile.PL: Could not determine version!";
-+  }
-+}
-+do "Makefile.PL";
-+if ($name) {
-+  $name =~ s/::/-/g;
-+} else {
-+  die "Makefile.PL: Missing WriteMakefile";
-+}
-+
-+$version || die "No version!";
-+local $/ = undef;
-+$_ = <DATA>;
-+s/\@NAME\@/$name/g;
-+s/\@VERSION\@/$version/g;
-+
-+open SPEC, ">$output" or die "$output: $!";
-+print SPEC "# Automatically generated by $p\n";
-+print SPEC;
-+close SPEC;
-+
-+__DATA__
-+%define perlmod @NAME@
-+%define version @VERSION@
-+%define release 1
-+%define defperlver 5.6.1
-+
-+# Derived values
-+%define name perl-%{perlmod}
-+%define perlver %(rpm -q perl --queryformat '%%{version}' 2> /dev/null || echo %{defperlver})
-+
-+# Provide perl-specific find-{provides,requires}.
-+%define __find_provides %( echo -n /usr/lib/rpm/find-provides && [ -x /usr/lib/rpm/find-provides.perl ] && echo .perl )
-+%define __find_requires %( echo -n /usr/lib/rpm/find-requires && [ -x /usr/lib/rpm/find-requires.perl ] && echo .perl )
-+
-+Summary:        Perl module %{class}::%{subclass}
-+Name:           %{name}
-+Version:        %{version}
-+Release:        %{release}
-+Group:          Development/Perl
-+License:	Artistic
-+Source0:	http://search.cpan.org/CPAN/authors/id/R/RH/RHANDOM/%{perlmod}-%{version}.tar.gz
-+URL:		http://search.cpan.org/~rhandom/Net-Server-%{version}/
-+Vendor:		Paul Seamons <paul at seamons.com>
-+Packager:	Paul Seamons <paul at seamons.com>
-+BuildRequires:  perl
-+BuildArch:      noarch
-+BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot-%(id -u -n)
-+Requires:       perl = %{perlver}
-+Provides:       %{perlmod} = %{version}
-+
-+%description
-+Net::Server is an extensible, class oriented module written in perl
-+and intended to be the back end layer of internet protocol servers.
-+
-+%prep
-+%setup -q -n %{perlmod}-%{version}
-+
-+%build
-+%{__perl} Makefile.PL
-+%{__make} OPTIMIZE="$RPM_OPT_FLAGS"
-+%{__make} test
-+
-+%install
-+rm -rf $RPM_BUILD_ROOT
-+%{makeinstall} PREFIX=$RPM_BUILD_ROOT%{_prefix}
-+[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress
-+# Clean up some files we don't want/need
-+rm -rf `find $RPM_BUILD_ROOT -name "perllocal.pod" -o -name ".packlist" -o -name "*.bs"`
-+find $RPM_BUILD_ROOT%{_prefix} -type d | tac | xargs rmdir --ign
-+
-+%clean
-+rm -rf $RPM_BUILD_ROOT
-+HERE=`pwd`
-+cd ..
-+rm -rf $HERE
-+
-+%files
-+%defattr(-,root,root)
-+%doc README Changes examples
-+%{_prefix}
-+
-+%changelog
-+* Wed May 22 2002 Rob Brown <bbb at cpan.org>
-+- RedHat style spec.
-+- It is noarch because it is implemented in pure perl
-+  (even including safe signal handling code).
-+- Include upper directories too for cleaner and
-+  safer rpm uninstall.
-+- Perl module provides and requires dependencies.
-+* Sat Apr 17 2002 Rob Brown <bbb at cpan.org>
-+- initial creation

-- 
Debian packaging of libnet-server-perl



More information about the Pkg-perl-cvs-commits mailing list